Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleTableModelChange

All Known Implementing Classes:
  JTable.AccessibleJTable.AccessibleJTableModelChange

    public interface AccessibleTableModelChange

The AccessibleTableModelChange interface describes a change to the table model. The attributes of the model change can be obtained by the following methods:

- public int getType()
- public int getFirstRow();
- public int getLastRow();
- public int getFirstColumn();
- public int getLastColumn();

The model change type returned by getType() will be one of:

- INSERT - one or more rows and/or columns have been inserted
- UPDATE - some of the table data has changed
- DELETE - one or more rows and/or columns have been deleted

The affected area of the table can be determined by the other four methods which specify ranges of rows and columns

Since:
  1.3
See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleTable()`

Field Summary
`static int` | `DELETE` Identifies the deletion of rows and/or columns.
`static int` | `INSERT` Identifies the insertion of new rows and/or columns.
`static int` | `UPDATE` Identifies a change to existing data.

Method Summary
`int` | `getFirstColumn()` Returns the first column that changed.
`int` | `getFirstRow()` Returns the first row that changed.
`int` | `getLastColumn()` Returns the last column that changed.
`int` | `getLastRow()` Returns the last row that changed.
`int` | `getType()` Returns the type of event

Field Detail

### INSERT

    static final int INSERT

  Identifies the insertion of new rows and/or columns.

  See Also:
    Constant Field Values

### UPDATE

    static final int UPDATE

  Identifies a change to existing data.

  See Also:
    Constant Field Values

### DELETE

    static final int DELETE

  Identifies the deletion of rows and/or columns.

  See Also:
    Constant Field Values

Method Detail

### getType

    int getType()

  Returns the type of event

  See Also:
    `INSERT`, `UPDATE`, `DELETE`

### getFirstRow

    int getFirstRow()

  Returns the first row that changed.

### getLastRow

    int getLastRow()

  Returns the last row that changed.

### getFirstColumn

    int getFirstColumn()

  Returns the first column that changed.

### getLastColumn

    int getLastColumn()

  Returns the last column that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2010, Oracle and/or its affiliates. All rights reserved.